AI resources
Get information about a transaction

Allows you to obtain information about a previously generated Payouts transaction based on its "id". That is, you will be able to consult information about a money out transaction by providing the identification number that was assigned to it in the response to its creation.

GET

https://api.mercadopago.com/v1/transaction-intents/{id}
Request parameters
Header
Authorization
string

REQUIRED

Access Token obtained through the developer panel. Must be sent in all requests.
Path
id
string

REQUIRED

Identifier of the transaction for which you wish to consult, returned in the response to its creation within the "id" field
Response parameters
created_date
string
Transaction creation date.
external_reference
string
Transaction external reference, generated by the integrator when it was created.
id
string
Unique transaction identifier, automatically generated.
last_updated_date
string
Transaction's status update date.
Errors

400Bad request. The parameters sent are not valid.

ID format invalid

The ID format in the path is invalid

invalid_payout_id

The payout was not found. Check if the reported ID is correct.

invalid_transaction_id

The transaction was not found. Check if the reported ID is correct.

Client not allowed

The client ID associated with the credentials is not allowed to make the request.

Financial identity not found

Financial identity not found. Check the "to.accounts.bank_id" field.

Many Requests

Too many requests has been made. Wait and try again.

Rate Limit

The consultation service reached the rpm limit in order not to exceed the limit allowed by Bacen and not receive fines.

Unauthorized

The request is unauthorized.

401Error. Access Token not authorized.

invalid_token

The value sent as Access Token is incorrect. Please check and try again with the correct value.

403Forbidden. You don't have permissions to access this resource.

forbidden

No permission to access the resource.

404Error. Transaction not found.

not_found

Transaction not found. Please check if you provided the correct transaction ID.

424Failed dependency. A required upstream service or dependency did not respond as expected.

Resource locked

The rate limit service is processing the integrator's consumption of our API.

500Internal server error.

internal_server_error

An unexpected error occurred on the server. Try the request again.

502Bad gateway. Integration failure with an external service.

bad_gateway

An error occurred in the integration with an external service. Try the request again.

Request
curl -X GET \
    'https://api.mercadopago.com/v1/transaction-intents/{id}'\
    -H 'Content-Type: application/json' \
       -H 'Authorization: Bearer APP_USR-8*********88776-122*********fc20dede6*********a497d7225*********64' \
    
Response
{
  "created_date": "2021-01-01T00:00:00.000Z",
  "external_reference": "123456",
  "id": "0d5020ed",
  "last_updated_date": "2021-01-01T00:00:00.000Z",
  "point_of_interaction": {
    "type": "{\"type\":\"PSP_TRANSFER\"}"
  },
  "seller_configuration": {
    "notification_info": {
      "notification_url": "https://link-your-webhook-notification.com"
    }
  },
  "status": "approved",
  "transaction": {
    "from": {
      "accounts": [
        {
          "amount": "24.50"
        }
      ]
    },
    "paid_amount": "50.00",
    "payer": {
      "id": 123456543
    },
    "refunded_amount": 1,
    "to": {
      "accounts": [
        {
          "amount": "24.50",
          "origin_id": "01AAAM001A1AY43FBR8WCM9CES",
          "status_details": "approved",
          "owner": {
            "identification": {
              "number": "1234567890",
              "type": "CPF"
            }
          },
          "bank_id": "0000014",
          "type": "current",
          "number": "123456"
        }
      ]
    },
    "total_amount": "50.00",
    "statement_descriptor": "test"
  }
}